<template>
  <v-card>
    <v-card-title class="d-flex justify-space-between">
        <h4><v-icon class="mr-3">mdi-account-key</v-icon>Introduir dades</h4>
        <v-btn small icon elevation="0" @click="close()"><v-icon class="justify-end" >mdi-close</v-icon></v-btn>
    </v-card-title>
    <v-card-text>
      <v-form @submit.prevent="onsubmit">
        <v-text-field
          dense
          outlined
          label="Nom de l'equip"
          v-model="userInfo.identifier"
        ></v-text-field>
        <v-text-field
          dense
          outlined
          label="Contrasenya"
          v-model="userInfo.password"
          :type="show ? 'text':'password'"
          :append-icon="show ? 'mdi-eye':'mdi-eye-off'"
          @click:append="show = !show"
        ></v-text-field>
        <div class="d-flex justify-space-between">
          <v-btn color="primary" type="submit" block rounded :disabled=userInfoValidate>Començar</v-btn>
        </div>
      </v-form>
    </v-card-text>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      disabled:true,
      show: false,
      userInfo: {
        identifier: "",
        password: "",
      },
    };
  },
  computed:{
    userInfoValidate(){
      if(this.userInfo.identifier.length != 0 && this.userInfo.password.length > 5){
        this.disabled=false}
        else{
          this.disabled=true
        }
      return this.disabled
    }
  },
  methods: {
    logout(){
      this.$auth.logout()
    },
    close() {
      this.$emit("close", false);
    },
    async onsubmit() {
      await this.$auth
        .loginWith("local", { data: this.userInfo })
        .then(() => {
          console.log(this.$auth);
          this.$emit("close", false);
          this.userInfo.identifier = ""
          this.userInfo.password = ""
          const msg = "Benvingut "+ this.$auth.user.username
          this.$store.dispatch("snackbars/setSnack", {text:msg, color:'success'})
        })
        .catch((e) => {
            this.$store.dispatch("snackbars/setSnack", {text:'Nom i/o contrasenya incorrectes', color:'error'})
        });
        // window.onbeforeunload = function (event) {
        //     logout()
        // };
    },
  },
};
</script>